# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyMorphio(PythonPackage):
    """MorphIO is a library for reading and writing neuron morphology files
    """

    homepage = "https://github.com/BlueBrain/MorphIO/"
    pypi     = "MorphIO/MorphIO-3.1.1.tar.gz"
    git      = "https://github.com/BlueBrain/MorphIO.git"

    version('3.1.1',  sha256='ad9f0e363f09f03c6eda54f5f3b006d204236677d2f2c9675421e0441033a503')

    depends_on('python@3.6.9:')
    depends_on('py-numpy@1.14.1:',      type=('build', 'run'))
    depends_on('py-h5py@3.0:4.0',       type=('build', 'run'))
